#!/bin/bash
# 
# Wizard
#
# Copyright (C) 2000 Mandrakesoft.
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# See file LICENSE for further informations on licensing terms.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
# icons: Helene Durosini <ln@mandrakesoft.com>
# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
#
# no network was found, than $chooser4 tell us to :
# - tryagain
# - save config without testing
#


echo_debug "$(date) begin $0, whith chooser4=${chooser4}"

case "${chooser4}" in
tryagain)
    echo_debug "server_not_responding"
    exit 1
    ;;
savewithouttest)
    echo_debug "exec ${CWD}/scripts/save_config.sh"
    exec ${CWD}/scripts/save_config.sh
    echo_debug "saying  ciao"
    exit 2
    ;;
*)
    echo_debug "bug"
    exit 1
    ;;    
esac
